//+------------------------------------------------------------------+
//|                                                 CatFX50muram.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, Daniel Blais."
#property link      "None"
// jan 11, 2006

#property indicator_chart_window

#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

//---- input parameters


extern int alert_ON=0;//ON=1,OFF=0

//---- buffers
double long[];
double short[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,111);
   SetIndexBuffer(0,long);
   SetIndexEmptyValue(0,0.0);
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,111);
   SetIndexBuffer(1,short);
   SetIndexEmptyValue(1,0.0);
      
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=(iBars(0,15)/4),i,j;//IndicatorCounted(),i,j;
   double k;
   double v0,v15,v30,v45;
   double vH1;
   int    shift;
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
//variables
   
//Main  loop
   for(i=500; i>=0; i--)//i=limit
     {
      long[i]=0;
      short[i]=0;
   

   //Long check start
      if (iCustom(NULL,0,"BrainTrend1Sig",2500,0,0,1,i+1)>0)//BT1Sig Long Signal
         {             
           k=Time[i+1];
           k=k-MathMod(k,3600);

           shift=iBarShift(NULL,PERIOD_M15,k);

            //Buf0=iCustom(NULL,0,"BrainTrend1",2500,0,0);
            //Buf1=iCustom(NULL,0,"BrainTrend1",2500,1,0);
            
            //Sign=Buf1-Buf0
            
            v0=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift));
            v15=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift-1)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift-1));
            v30=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift-2)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift-2));
            v45=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift-3)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift-3));

            if (v0==1 && v15==1 && v30==1 && v45==1)
            {

            long[i]=Open[i];//(Low[i]);//-iATR(NULL,0,5,i)/2 ;
           
            if (i==0&&alert_ON==1)
            Alert(TimeToStr(Time[i],TIME_MINUTES)," H1BrainTrendSig ",Symbol()," BUY");
            }
         }
   //Long check end

//Short check start
      if (iCustom(NULL,0,"BrainTrend1Sig",2500,0,0,0,i+1)>0)//BT1Sig Short Signal
         {  
            k=Time[i+1];
            k=k-MathMod(k,3600);            
 
            shift=iBarShift(NULL,PERIOD_M15,k);

            //Buf0=iCustom(NULL,0,"BrainTrend1",2500,0,0);
            //Buf1=iCustom(NULL,0,"BrainTrend1",2500,1,0);
            
            //Sign=Buf1-Buf0
            
            v0=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift));
            v15=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift-1)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift-1));
            v30=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift-2)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift-2));
            v45=Sign(iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,1,shift-3)-iCustom(NULL,PERIOD_M15,"BrainTrend1",2500,0,shift-3));
            
            if (v0==-1 && v15==-1 && v30==-1 && v45==-1)
            {
            
            short[i]=Open[i];//High[i];//+iATR(NULL,0,5,i)/2;
                                
            if (i==0&&alert_ON==1)
            Alert(TimeToStr(Time[i],TIME_MINUTES)," H1BrainTrendSig ",Symbol()," SELL");
            }
         }
//Short check end
     }
   Comment(counted_bars," ",iBars(NULL,PERIOD_M15)," ",limit," ",shift," ",TimeToStr(k,TIME_DATE|TIME_MINUTES)," ",v0," ",v15," ",v30," ",v45);
   return(0);
  }
//+------------------------------------------------------------------+

int Sign(double x)
   {
   if (x<0)
      return(-1);
   if (x==0)
      return(0);
   if (x>0)
      return(1);
   }